## nss 3.14.1

=== mozilla/security/nss/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################



#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

nss_build_all: build_coreconf build_nspr build_dbm all

nss_clean_all: clobber_coreconf clobber_nspr clobber_dbm clobber

build_coreconf:
	$(MAKE) -C $(CORE_DEPTH)/coreconf

clobber_coreconf:
	$(MAKE) -C $(CORE_DEPTH)/coreconf clobber

NSPR_CONFIG_STATUS = $(CORE_DEPTH)/../nsprpub/$(OBJDIR_NAME)/config.status
NSPR_CONFIGURE = $(CORE_DEPTH)/../nsprpub/configure

#
# Translate coreconf build options to NSPR configure options.
#

ifdef BUILD_OPT
NSPR_CONFIGURE_OPTS += --disable-debug --enable-optimize
endif
ifdef USE_64
NSPR_CONFIGURE_OPTS += --enable-64bit
endif
ifeq ($(OS_TARGET),WIN95)
NSPR_CONFIGURE_OPTS += --enable-win32-target=WIN95
endif
ifdef USE_DEBUG_RTL
NSPR_CONFIGURE_OPTS += --enable-debug-rtl
endif
ifdef NS_USE_GCC
NSPR_COMPILERS = CC=gcc CXX=g++
endif

#
# Some pwd commands on Windows (for example, the pwd
# command in Cygwin) return a pathname that begins
# with a (forward) slash.  When such a pathname is
# passed to Windows build tools (for example, cl), it
# is mistaken as a command-line option.  If that is the case,
# we use a relative pathname as NSPR's prefix on Windows.
#

USEABSPATH="YES"
ifeq (,$(filter-out WIN%,$(OS_TARGET)))
ifeq (,$(findstring :,$(shell pwd)))
USEABSPATH="NO"
endif
endif
ifeq ($(USEABSPATH),"YES")
NSPR_PREFIX = $(shell pwd)/../../dist/$(OBJDIR_NAME)
else
NSPR_PREFIX = $$(topsrcdir)/../dist/$(OBJDIR_NAME)
endif

$(NSPR_CONFIG_STATUS): $(NSPR_CONFIGURE)
	$(NSINSTALL) -D $(CORE_DEPTH)/../nsprpub/$(OBJDIR_NAME)
	cd $(CORE_DEPTH)/../nsprpub/$(OBJDIR_NAME) ; \
	$(NSPR_COMPILERS) sh ../configure \
	$(NSPR_CONFIGURE_OPTS) \
	--with-dist-prefix='$(NSPR_PREFIX)' \
	--with-dist-includedir='$(NSPR_PREFIX)/include'

build_nspr: $(NSPR_CONFIG_STATUS)
	$(MAKE) -C $(CORE_DEPTH)/../nsprpub/$(OBJDIR_NAME)

clobber_nspr: $(NSPR_CONFIG_STATUS)
	$(MAKE) -C $(CORE_DEPTH)/../nsprpub/$(OBJDIR_NAME) clobber

build_dbm:
ifdef NSS_DISABLE_DBM
	@echo "skipping the build of DBM"
else
	$(MAKE) -C $(CORE_DEPTH)/dbm export libs
endif

clobber_dbm:
	$(MAKE) -C $(CORE_DEPTH)/dbm clobber

moz_import::
ifeq (,$(filter-out WIN%,$(OS_TARGET)))
	$(NSINSTALL) -D $(DIST)/include/nspr
	cp $(DIST)/../include/nspr/*.h $(DIST)/include/nspr
	cp $(DIST)/../include/* $(DIST)/include
ifdef BUILD_OPT
	cp $(DIST)/../WIN32_O.OBJ/lib/* $(DIST)/lib
else
	cp $(DIST)/../WIN32_D.OBJ/lib/* $(DIST)/lib
endif
	mv $(DIST)/lib/dbm32.lib $(DIST)/lib/dbm.lib
else
ifeq ($(OS_TARGET),OS2)
	cp -rf $(DIST)/../include $(DIST)
	cp -rf $(DIST)/../lib $(DIST)
	cp -f $(DIST)/lib/libmozdbm_s.$(LIB_SUFFIX) $(DIST)/lib/libdbm.$(LIB_SUFFIX)
else
	$(NSINSTALL) -L ../../dist include $(DIST)
	$(NSINSTALL) -L ../../dist lib $(DIST)
	cp $(DIST)/lib/libmozdbm_s.$(LIB_SUFFIX) $(DIST)/lib/libdbm.$(LIB_SUFFIX)
endif
endif

nss_RelEng_bld: build_coreconf import build_dbm all

package:
	$(MAKE) -C pkg publish

TESTPACKAGE="nss-$(OS_TARGET)$(CPU_TAG).tgz"
package_for_testing:
	echo "export OBJDIR=$(OBJDIR_NAME)"     > $(DIST)/platform.cfg
	echo "export OS_ARCH=$(ANDROID)"       >> $(DIST)/platform.cfg
	echo "export DLL_PREFIX=$(DLL_PREFIX)" >> $(DIST)/platform.cfg
	echo "export DLL_SUFFIX=$(DLL_SUFFIX)" >> $(DIST)/platform.cfg
ifeq ($(OS_TARGET),Android)
	# Android doesn't support FIPS tests, so don't run them
	echo "export NSS_TEST_DISABLE_FIPS=1"  >> $(DIST)/platform.cfg
endif
	echo 'echo "set HOST and DOMSUF if your system is not registered in DNS"; sleep 5' > $(DIST)/../../runtests.sh
	echo 'export NSS_TESTS=$(NSS_TESTS)'         >> $(DIST)/../../runtests.sh
	echo 'export NSS_SSL_TESTS=$(NSS_SSL_TESTS)' >> $(DIST)/../../runtests.sh
	echo 'export NSS_SSL_RUN=$(NSS_SSL_RUN)'     >> $(DIST)/../../runtests.sh
	echo 'export NSS_CYCLES=$(NSS_CYCLES)'       >> $(DIST)/../../runtests.sh
	echo 'export OBJDIR=$(OBJDIR_NAME)'          >> $(DIST)/../../runtests.sh
	echo 'export USE_64=$(USE_64)'               >> $(DIST)/../../runtests.sh
	echo 'export BUILD_OPT=$(BUILD_OPT)'         >> $(DIST)/../../runtests.sh
	echo 'rm -rf test_results'                   >> $(DIST)/../../runtests.sh
	echo 'echo "running tests"'                  >> $(DIST)/../../runtests.sh
	echo 'cd security/nss/tests; ./all.sh > ../../../logfile 2>&1 ; cd ../../../' >> $(DIST)/../../runtests.sh
	echo 'tar czf tests_results.tgz tests_results' >> $(DIST)/../../runtests.sh
	echo 'echo "created tests_results.tgz"' >> $(DIST)/../../runtests.sh
	echo 'echo "results are in directory: "`ls -1d tests_results/security/*.1`' >> $(DIST)/../../runtests.sh
	echo 'echo -n "number of PASSED tests: "; grep -cw PASSED logfile;'  >> $(DIST)/../../runtests.sh
	echo 'echo -n "number of FAILED tests: "; grep -cw FAILED logfile;'  >> $(DIST)/../../runtests.sh
	rm -f $(TESTPACKAGE)
	(cd $(DIST)/../.. ; tar czhf dist/$(TESTPACKAGE) runtests.sh dist/$(OBJDIR_NAME) dist/public security/nss/tests security/nss/cmd/bltest/tests; echo "created "`pwd`"/dist/$(TESTPACKAGE)")

=== mozilla/security/nss/cmd/shlibsign/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################

#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

ifeq ($(OS_ARCH), WINNT)

EXTRA_LIBS += \
	$(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)plc4.$(LIB_SUFFIX) \
	$(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)plds4.$(LIB_SUFFIX) \
	$(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)nspr4.$(LIB_SUFFIX) \
	$(NULL)

else

EXTRA_SHARED_LIBS += \
	-L$(NSPR_LIB_DIR) \
	-lplc4 \
	-lplds4 \
	-lnspr4 \
	$(NULL)

endif


# sign any and all shared libraries that contain the word freebl

CHECKLIBS = $(DIST)/lib/$(DLL_PREFIX)softokn3.$(DLL_SUFFIX)
CHECKLIBS += $(wildcard $(DIST)/lib/$(DLL_PREFIX)freebl*3.$(DLL_SUFFIX))
ifndef NSS_DISABLE_DBM
CHECKLIBS += $(DIST)/lib/$(DLL_PREFIX)nssdbm3.$(DLL_SUFFIX)
endif
CHECKLOC = $(CHECKLIBS:.$(DLL_SUFFIX)=.chk)

MD_LIB_RELEASE_FILES = $(CHECKLOC)
ALL_TRASH += $(CHECKLOC)


#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################


#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################


include ../platrules.mk

SRCDIR = $(call core_abspath,.)

%.chk: %.$(DLL_SUFFIX) 
ifeq ($(OS_TARGET), OS2)
	cd $(OBJDIR) ; cmd.exe /c $(SRCDIR)/sign.cmd $(DIST) \
	$(call core_abspath,$(OBJDIR)) $(OS_TARGET) \
	$(call core_abspath,$(NSPR_LIB_DIR)) $(call core_abspath,$<)
else
	cd $(OBJDIR) ; sh $(SRCDIR)/sign.sh $(call core_abspath,$(DIST)) \
	$(call core_abspath,$(OBJDIR)) $(OS_TARGET) \
	$(call core_abspath,$(NSPR_LIB_DIR)) $(call core_abspath,$<)
endif

libs install :: $(CHECKLOC)

=== mozilla/security/nss/lib/freebl/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include config.mk

# default for all platforms
# unset this on those that have multiple freebl libraries
FREEBL_BUILD_SINGLE_SHLIB = 1

ifdef USE_64
	DEFINES += -DNSS_USE_64
endif

ifdef USE_ABI32_FPU
	DEFINES += -DNSS_USE_ABI32_FPU
endif

ifeq ($(FREEBL_NO_DEPEND),1)
	DEFINES += -DFREEBL_NO_DEPEND
	STUBS_SRCS = stubs.c
endif

ifeq ($(FREEBL_LOWHASH),1)
	LOWHASH_SRCS = nsslowhash.c
	LOWHASH_EXPORTS = nsslowhash.h
	MAPFILE_SOURCE = freebl_hash.def
else
	MAPFILE_SOURCE = freebl.def
endif

# FREEBL_USE_PRELINK
#
# Most modern version of Linux support a speed optimization scheme where an
# application called prelink modifies programs and shared libraries to quickly
# load if they fit into an already designed address space. In short, prelink
# scans the list of programs and libraries on your system, assigns them a
# predefined space in the the address space, then provides the fixups to the
# library.
#
# The modification of the shared library is correctly detected by the freebl
# FIPS checksum scheme where we check a signed hash of the library against the
# library itself.
#
# The prelink command itself can reverse the process of modification and output
# the prestine shared library as it was before prelink made it's changes.
# This option tells Freebl could use prelink to output the original copy of
# the shared library before prelink modified it.
#
# FREEBL_PRELINK_COMMAND
#
# This is an optional environment variable which can override the default
# prelink command. It could be used on systems that did something similiar to 
# prelink but used a different command and syntax. The only requirement is the 
# program must take the library as the last argument, the program must output 
# the original library to standard out, and the program does not need to take 
# any quoted or imbedded spaces in its arguments (except the path to the 
# library itself, which can have imbedded spaces or special characters).
#
ifdef FREEBL_USE_PRELINK
	DEFINES += -DFREEBL_USE_PRELINK
ifdef LINUX
	DEFINES += -D__GNU_SOURCE=1
endif
endif
ifdef FREEBL_PRELINK_COMMAND
	DEFINES +=-DFREEBL_PRELINK_COMMAND=\"$(FREEBL_PRELINK_COMMAND)\"
endif
# NSS_X86 means the target is a 32-bits x86 CPU architecture
# NSS_X64 means the target is a 64-bits x64 CPU architecture
# NSS_X86_OR_X64 means the target is either x86 or x64
ifeq (,$(filter-out i386 x386 x86 x86_64,$(CPU_ARCH)))
        DEFINES += -DNSS_X86_OR_X64
ifdef USE_64
        DEFINES += -DNSS_X64
else
        DEFINES += -DNSS_X86
endif
endif

ifeq ($(OS_TARGET),OSF1)
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_NO_MP_WORD
    MPI_SRCS += mpvalpha.c
endif

ifeq (OS2,$(OS_TARGET))
    ASFILES  = mpi_x86_os2.s
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D
    DEFINES += -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
endif

ifeq (,$(filter-out WINNT WIN95,$(OS_TARGET)))
ifndef USE_64
# 32-bit Windows
ifdef NS_USE_GCC
# Ideally, we want to use assembler
#     ASFILES  = mpi_x86.s
#     DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE \
#                -DMP_ASSEMBLY_DIV_2DX1D
# but we haven't figured out how to make it work, so we are not
# using assembler right now.
    ASFILES  =
    DEFINES += -DMP_NO_MP_WORD -DMP_USE_UINT_DIGIT
else
# MSVC
    MPI_SRCS += mpi_x86_asm.c
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    ifdef BUILD_OPT
	OPTIMIZER += -Ox  # maximum optimization for freebl
    endif
endif
else
    # -DMP_NO_MP_WORD
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
ifdef NS_USE_GCC
# Ideally, we should use amd64 assembly code, but it's not yet mingw-w64
# compatible.
else
# MSVC
    ifdef BUILD_OPT
	OPTIMIZER += -Ox  # maximum optimization for freebl
    endif
    ASFILES  = arcfour-amd64-masm.asm mpi_amd64_masm.asm mp_comba_amd64_masm.asm
    DEFINES += -DNSS_BEVAND_ARCFOUR -DMPI_AMD64 -DMP_ASSEMBLY_MULTIPLY
    DEFINES += -DNSS_USE_COMBA
    MPI_SRCS += mpi_amd64.c
endif
endif
endif

ifeq ($(OS_TARGET),IRIX)
ifeq ($(USE_N32),1)
    ASFILES  = mpi_mips.s
    ifeq ($(NS_USE_GCC),1)
	ASFLAGS = -Wp,-P -Wp,-traditional -O -mips3
    else
	ASFLAGS = -O -OPT:Olimit=4000 -dollar -fullwarn -xansi -n32 -mips3 
    endif
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    DEFINES += -DMP_USE_UINT_DIGIT
endif
endif

ifeq ($(OS_TARGET),Darwin)
ifeq ($(CPU_ARCH),x86)
    ASFILES  = mpi_sse2.s
    DEFINES += -DMP_USE_UINT_DIGIT
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D
endif
endif # Darwin

ifeq ($(OS_TARGET),Linux)
ifeq ($(CPU_ARCH),x86_64)
    ASFILES  = arcfour-amd64-gas.s mpi_amd64_gas.s
    ASFLAGS += -march=opteron -m64 -fPIC -Wa,--noexecstack
    DEFINES += -DNSS_BEVAND_ARCFOUR -DMPI_AMD64 -DMP_ASSEMBLY_MULTIPLY
    DEFINES += -DNSS_USE_COMBA
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
#   DEFINES += -DMPI_AMD64_ADD
    # comment the next two lines to turn off intel HW accelleration
    DEFINES += -DUSE_HW_AES
    ASFILES += intel-aes.s
    MPI_SRCS += mpi_amd64.c mp_comba.c
endif
ifeq ($(CPU_ARCH),x86)
    ASFILES  = mpi_x86.s
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
    # The floating point ECC code doesn't work on Linux x86 (bug 311432).
    #ECL_USE_FP = 1
endif
ifeq ($(CPU_ARCH),arm)
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_USE_UINT_DIGIT
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
    MPI_SRCS += mpi_arm.c
endif
endif # Linux

ifeq ($(OS_TARGET),AIX)
    DEFINES += -DMP_USE_UINT_DIGIT
    ifndef USE_64
	DEFINES += -DMP_NO_DIV_WORD -DMP_NO_ADD_WORD -DMP_NO_SUB_WORD
    endif
endif # AIX

ifeq ($(OS_TARGET), HP-UX)
ifneq ($(OS_TEST), ia64)
# PA-RISC
ASFILES += ret_cr16.s
ifndef USE_64
    FREEBL_BUILD_SINGLE_SHLIB = 
    HAVE_ABI32_INT32 = 1
    HAVE_ABI32_FPU = 1
endif
ifdef FREEBL_CHILD_BUILD
ifdef USE_ABI32_INT32
# build for DA1.1 (HP PA 1.1) 32-bit ABI build with 32-bit arithmetic
    DEFINES  += -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
else
ifdef USE_64
# this builds for DA2.0W (HP PA 2.0 Wide), the LP64 ABI, using 64-bit digits 
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
else
# this builds for DA2.0 (HP PA 2.0 Narrow) ABI32_FPU model 
# (the 32-bit ABI with 64-bit registers) using 64-bit digits
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
ifndef NS_USE_GCC
    ARCHFLAG = -Aa +e +DA2.0 +DS2.0
endif
endif
endif
endif
endif
endif

# The blapi functions are defined not only in the freebl shared
# libraries but also in the shared libraries linked with loader.c
# (libsoftokn3.so and libssl3.so).  We need to use GNU ld's
# -Bsymbolic option or the equivalent option for other linkers
# to bind the blapi function references in FREEBLVector vector
# (ldvector.c) to the blapi functions defined in the freebl
# shared libraries.
ifeq (,$(filter-out BSD_OS FreeBSD Linux NetBSD OpenBSD, $(OS_TARGET)))
    MKSHLIB += -Wl,-Bsymbolic
endif

ifeq ($(OS_TARGET),SunOS)

ifdef NS_USE_GCC
    ifdef GCC_USE_GNU_LD
	MKSHLIB += -Wl,-Bsymbolic,-z,now,-z,text
    else
	MKSHLIB += -Wl,-B,symbolic,-z,now,-z,text
    endif # GCC_USE_GNU_LD
else
    MKSHLIB += -B symbolic -z now -z text
endif # NS_USE_GCC

# Sun's WorkShop defines v8, v8plus and v9 architectures.
# gcc on Solaris defines v8 and v9 "cpus".  
# gcc's v9 is equivalent to Workshop's v8plus.
# gcc's -m64 is equivalent to Workshop's v9
# We always use Sun's assembler, which uses Sun's naming convention.
ifeq ($(CPU_ARCH),sparc)
    FREEBL_BUILD_SINGLE_SHLIB=
    ifdef USE_64
        HAVE_ABI64_INT = 1
        HAVE_ABI64_FPU = 1
    else
        HAVE_ABI32_INT32 = 1
        HAVE_ABI32_FPU = 1
        HAVE_ABI32_INT64 = 1
    endif
    SYSV_SPARC = 1
    SOLARIS_AS = /usr/ccs/bin/as
    #### set arch, asm, c flags
    ifdef NS_USE_GCC
	ifdef USE_ABI32_INT32
	    # default ARCHFLAG=-mcpu=v8 set by coreconf/sunOS5.mk
	endif
	ifdef USE_ABI32_INT64
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plus
	    SOLARIS_AS_FLAGS = -xarch=v8plus -K PIC
	endif
	ifdef USE_ABI32_FPU
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plusa
	    SOLARIS_AS_FLAGS = -xarch=v8plusa -K PIC
	endif # USE_ABI32_FPU
	ifdef USE_ABI64_INT
	    # this builds for Sparc v9a pure 64-bit architecture
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9
	    SOLARIS_AS_FLAGS = -xarch=v9 -K PIC
	endif
	ifdef USE_ABI64_FPU
	    # this builds for Sparc v9a pure 64-bit architecture
	    # It uses floating point, and 32-bit word size
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9a
	    SOLARIS_AS_FLAGS = -xarch=v9a -K PIC
	endif
    else # NS_USE_GCC
	# FPU_TARGET_OPTIMIZER specifies the target processor and cache
	# properties of the ABI32_FPU and ABI64_FPU architectures for use
	# by the optimizer.
	ifeq (,$(findstring Sun WorkShop 6,$(shell $(CC) -V 2>&1)))
	    # if the compiler is not Forte 6
	    FPU_TARGET_OPTIMIZER = -xcache=64/32/4:1024/64/4 -xchip=ultra3
	else
	    # Forte 6 C compiler generates incorrect code for rijndael.c
	    # if -xchip=ultra3 is used (Bugzilla bug 333925).  So we revert
	    # to what we used in NSS 3.10.
	    FPU_TARGET_OPTIMIZER = -xchip=ultra2
	endif
	ifdef USE_ABI32_INT32
	    #ARCHFLAG=-xarch=v8 set in coreconf/sunOS5.mk
	endif
	ifdef USE_ABI32_INT64
	    # this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	    # 32-bit ABI, it uses 64-bit words, integer arithmetic,
	    # no FPU (non-VIS cpus).
	    # These flags were suggested by the compiler group for building
	    # with SunStudio 10.
	    ifdef BUILD_OPT
                SOL_CFLAGS += -xO4
	    endif
 	    SOL_CFLAGS += -xtarget=generic
	    ARCHFLAG = -xarch=v8plus
	    SOLARIS_AS_FLAGS = -xarch=v8plus -K PIC
	endif
	ifdef USE_ABI32_FPU
	    # this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	    # 32-bit ABI, it uses FPU code, and 32-bit word size.
	    # these flags were determined by running cc -### -fast and copying
	    # the generated flag settings
	    SOL_CFLAGS += -fsingle -xmemalign=8s
	    ifdef BUILD_OPT
                SOL_CFLAGS += -D__MATHERR_ERRNO_DONTCARE -fsimple=1
                SOL_CFLAGS += -xalias_level=basic -xbuiltin=%all
                SOL_CFLAGS += $(FPU_TARGET_OPTIMIZER) -xdepend
                SOL_CFLAGS += -xlibmil -xO5
	    endif
	    ARCHFLAG = -xarch=v8plusa
	    SOLARIS_AS_FLAGS = -xarch=v8plusa -K PIC
	endif
	ifdef USE_ABI64_INT
	    # this builds for Sparc v9a pure 64-bit architecture,

=== debian/changelog ===
nss (3.14.1-0ckbi1.93ubuntu.0.12.10.1) quantal-security; urgency=low

  * New upstream release. Dropped the following patches:
    - debian/patches/90_realpath.patch (included upstream)
    - debian/patches/91_build_pwdecrypt.patch (included upstream)
    - debian/patches/96_NSS_VersionCheck.patch (included upstream)
    - debian/patches/98_fix_header_error.patch (included upstream)
    - debian/patches/protect-against-calls-before-nss_init.patch (included
      upstream)
    - debian/patches/CVE-2012-0441.patch (included upstream)
  * debian/patches/38_hurd.patch: refresh
  * debian/patches/38_kbsd.patch: refresh/update based on Debian
  * debian/patches/80_security_tools.patch: refresh
  * debian/patches/85_security_load.patch: refresh
  * debian/patches/95_add_spi+cacert_ca_certs.patch: updated
  * debian/patches/97_SSL_RENEGOTIATE_TRANSITIONAL.patch: refresh
  * debian/patches/lower-dhe-priority.patch: refresh/update based on Debian
  * SECURITY UPDATE: distrust improperly issued TURKTRUST intermediate CAs
    - debian/patches/94_ckbi-1.9.patch: update to CKBI 1.93 by using
      mozilla/security/nss/lib/ckfw/builtins/certdata.txt from upstream and
      updating mozilla/security/nss/lib/ckfw/builtins/nssckbi.h. Apply this
      before 95_add_spi+cacert_ca_certs.patch since it keeps this patch clean
      and underscores that SPI and CACERT are not part of upstream Roots.
    - CVE-2013-0743
  * debian/libnss3.symbols: add NSS_3.13.2, NSS_3.14, NSS_3.14.1, and
    NSSUTIL_3.14 symbols

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 10 Jan 2013 16:41:16 -0600

nss (3.13.1.with.ckbi.1.88-1ubuntu7) quantal-proposed; urgency=low

  * SECURITY UPDATE: denial of service in QuickDER decoder
    - debian/patches/CVE-2012-0441.patch: properly handle zero-length basic
      constraints and zero-length fields in
      nss/mozilla/security/nss/lib/softoken/legacydb/keydb.c,
      nss/mozilla/security/nss/lib/softoken/legacydb/lgcreate.c,
      nss/mozilla/security/nss/lib/softoken/legacydb/lowkey.c,
      nss/mozilla/security/nss/lib/softoken/legacydb/lowkeyti.h,
      nss/mozilla/security/nss/lib/util/quickder.c.
    - CVE-2012-0441

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 16 Aug 2012 10:57:28 -0400

## nss 3.14.1.with.ckbi.1.93

=== debian/changelog ===
nss (2:3.14.1.with.ckbi.1.93-1ubuntu1) raring-proposed; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - control: Change Vcs-* to XS-Debian-Vcs-*.
    - rules: Include libnssb.a and libnssckfw.a in the -dev package.

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 14 Jan 2013 15:35:48 -0600

nss (2:3.14.1.with.ckbi.1.93-1) unstable; urgency=low

  * New upstream release.
    - Explicitly distrust two intermediate CA certificates mis-issued by
      TURKTRUST.
  * debian/patches/95_add_spi+cacert_ca_certs.patch: Refreshed.

 -- Mike Hommey <glandium@debian.org>  Fri, 04 Jan 2013 11:16:33 +0100

nss (2:3.14.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: Removed patches applied upstream, and refreshed
    the others.
  * debian/libnss3.symbols: Updated for new symbols.

 -- Mike Hommey <glandium@debian.org>  Sun, 23 Dec 2012 17:40:21 +0100

nss (2:3.14-2) unstable; urgency=low

  * debian/nss-config.in: Fix nss-config when version is in the x.y form
    instead of x.y.z.

 -- Mike Hommey <glandium@debian.org>  Fri, 07 Dec 2012 17:07:05 +0100

nss (2:3.14-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - control: Change Vcs-* to XS-Debian-Vcs-*.
    - rules: Include libnssb.a and libnssckfw.a in the -dev package.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 27 Nov 2012 18:19:23 +0200

nss (2:3.14-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: Removed patches applied upstream, and refreshed
    the others.
  * debian/libnss3.symbols: Updated for new symbols.

 -- Mike Hommey <glandium@debian.org>  Thu, 01 Nov 2012 10:37:39 +0100

nss (2:3.13.6-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Use xz compression for binary packages.
    Thanks Ansgar Burchardt. Closes: #683835.

 -- Mike Hommey <glandium@debian.org>  Fri, 31 Aug 2012 09:56:53 +0200

nss (2:3.13.5-1) unstable; urgency=low

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Fri, 15 Jun 2012 09:40:00 +0200

nss (2:3.13.4-3) unstable; urgency=low

  * debian/rules: Skip epoch when getting upstream version number.

 -- Mike Hommey <glandium@debian.org>  Sun, 20 May 2012 07:36:11 +0200

nss (2:3.13.4-2) unstable; urgency=low

  * debian/control, debian/libnss3*, debian/rules,
    mozilla/security/coreconf/*, mozilla/security/nss/lib/*/manifest.mn:
    Move to unversioned library. ABI compatibility is ensured upstream, and
    the SO version, if it needed a change at any time, would be a change in
    the library name. There is no reason to keep making compatibility more
    difficult with other distros and upstream binary releases. While previous
    versions were one-way compatible (binaries built against other distros or
    upstream nspr could work on Debian), this approach works both ways.
  * debian/control:
    - Bump Standards-Version to 3.9.3.0. No changes required.
    - Force to build against libnspr4-dev >= 2:4.9
  * Removed unapplied patches.
  * Adding an epoch to match the old libnss3 package that used to be in
    the Debian archive.

 -- Mike Hommey <glandium@debian.org>  Thu, 17 May 2012 09:45:36 +0200

nss (3.13.4-1) unstable; urgency=low

  * New upstream release.
    - Changed __GNUC_MINOR__ use in pkcs11n.h. Closes: #650319.
  * mozilla/security/nss/cmd/certcgi/certcgi.c,
    mozilla/security/nss/cmd/digest/digest.c,
    mozilla/security/nss/cmd/signver/pk7print.c: Import patch from Moritz
    Muehlenhoff for hardened format strings.
  * debian/make.mk, debian/rules, debian/control: Enable hardening.
    Closes: #657325.
  * debian/libnss3-1d.lintian-overrides.in, debian/rules: Use wildcards in
    lintian override. Closes: #670013.
  * debian/compat, debian/control: Bump debian/compat to 9. This has the
    effect of using build-id for debug files, thus Closes: #670015.
  * debian/libnss3-1d.symbols: Add symbols for /usr/lib/nss/ libraries.

 -- Mike Hommey <glandium@debian.org>  Sun, 29 Apr 2012 09:48:58 +0200

=== debian/control ===
Source: nss
Section: libs
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1.1~), libnspr4-dev (>= 2:4.9), zlib1g-dev, libsqlite3-dev (>= 3.3.9)
Standards-Version: 3.9.3.0
Homepage: http://www.mozilla.org/projects/security/pki/nss/
XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-mozilla/nss.git
XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/nss.git

Package: libnss3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libnss3-1d (<< 2:3.13.4-2)
Multi-Arch: ${misc:Multi-Arch}
Description: Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.

Package: libnss3-1d
Section: oldlibs
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libnss3 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: ${misc:Multi-Arch}
Description: Network Security Service libraries - transitional package
 This is a transitional package to ensure smooth transition of all packages
 to libnss3.

Package: libnss3-tools
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Network Security Service tools
 This is a set of tools on top of the Network Security Service libraries.
 This package includes:
  * certutil: manages certificate and key databases (cert7.db and key3.db)
  * modutil: manages the database of PKCS11 modules (secmod.db)
  * pk12util: imports/exports keys and certificates between the cert/key
    databases and files in PKCS12 format.
  * shlibsign: creates .chk files for use in FIPS mode.
  * signtool: creates digitally-signed jar archives containing files and/or
    code.
  * ssltap: proxy requests for an SSL server and display the contents of
    the messages exchanged between the client and server.
Homepage: http://www.mozilla.org/projects/security/pki/nss/tools/

Package: libnss3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libnss3 (= ${binary:Version}), libnspr4-dev (>= 4.6.6-1)
Description: Development files for the Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.
 .
 Install this package if you wish to develop your own programs using the
 Network Security Service Libraries.

Package: libnss3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libnss3 (= ${binary:Version}) | libnss3-tools (= ${binary:Version})
Conflicts: libnss3 (<< ${binary:Version}), libnss3 (>> ${binary:Version}), libnss3-tools (<< ${binary:Version}), libnss3-tools (>> ${binary:Version})
Provides: libnss3-1d-dbg
Multi-Arch: ${misc:Multi-Arch}
Description: Debugging symbols for the Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.
 .
 This package provides the debugging symbols for the library.

=== debian/rules ===
#!/usr/bin/make -f
include debian/make.mk

$(call lazy,DEB_HOST_MULTIARCH,$$(shell dpkg-architecture -qDEB_HOST_MULTIARCH))
$(call lazy,CFLAGS,$$(shell dpkg-buildflags --get CFLAGS))
$(call lazy,CPPFLAGS,$$(shell dpkg-buildflags --get CPPFLAGS))
$(call lazy,LDFLAGS,$$(shell dpkg-buildflags --get LDFLAGS))

PREPROCESS_FILES := $(wildcard debian/*.in)

$(PREPROCESS_FILES:.in=): %: %.in
	sed 's,/@DEB_HOST_MULTIARCH@,$(DEB_HOST_MULTIARCH:%=/%),g;$(EXTRA_REPLACES)' $< > $@

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([0-9]*:\)\?\([^~]*\)\(~.*\)\?-.*$$/\2/ p')
MOD_MAJOR_VERSION := $(word 1, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_MINOR_VERSION := $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_PATCH_VERSION := $(or $(word 3, $(subst ., ,$(UPSTREAM_VERSION))),0)

debian/nss.pc: EXTRA_REPLACES := s/@VERSION@/$(UPSTREAM_VERSION)/
debian/nss-config: EXTRA_REPLACES := s/@MOD_MAJOR_VERSION@/$(MOD_MAJOR_VERSION)/;s/@MOD_MINOR_VERSION@/$(MOD_MINOR_VERSION)/;s/@MOD_PATCH_VERSION@/$(MOD_PATCH_VERSION)/
debian/libnss3.lintian-overrides: EXTRA_REPLACES := s,/@DEB_HOST_MULTIARCH_WC@,$(DEB_HOST_MULTIARCH:%=/*),g

ifneq (,$(filter 64 alpha amd64 ia64 s390x,$(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS 2> /dev/null || dpkg-architecture -qDEB_BUILD_ARCH)))
USE_64 := USE_64=1
else
USE_64 :=
endif

CFLAGS += -Wall -pipe

DISTDIR := $(CURDIR)/mozilla/dist

override_dh_auto_build:
	$(MAKE) -C mozilla/security/nss \
		build_coreconf \
		build_dbm \
		all \
		MOZILLA_CLIENT=1 \
		NSPR_INCLUDE_DIR=/usr/include/nspr \
		NSPR_LIB_DIR=/usr/lib \
		SOURCE_MD_DIR=$(DISTDIR) \
		DIST=$(DISTDIR) \
		BUILD_OPT=1 \
		NS_USE_GCC=1 \
		OPTIMIZER="$(CFLAGS) $(CPPFLAGS)" \
		LDFLAGS='$(LDFLAGS) $$(ARCHFLAG) $$(ZDEFS_FLAG)' \
		DSO_LDOPTS='-shared $$(LDFLAGS)' \
		NSS_USE_SYSTEM_SQLITE=1 \
		NSS_ENABLE_ECC=1 \
		CHECKLOC= \
		$(USE_64)

override_dh_auto_clean:
	-$(MAKE) -C mozilla/security/nss \
		clobber \
		clobber_dbm \
		clobber_coreconf \
		SOURCE_MD_DIR=$(DISTDIR) \
		DIST=$(DISTDIR) \
		BUILD_OPT=1 \
		$(USE_64)

	rm -rf $(DISTDIR) $(PREPROCESS_FILES:.in=)

override_dh_auto_install: $(PREPROCESS_FILES:.in=)
	install -m 755 -d debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH) \
		$(DISTDIR)/lib/*.so
	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
		$(DISTDIR)/lib/libfreebl3.so \
		$(DISTDIR)/lib/libsoftokn3.so \
		$(DISTDIR)/lib/libnssdbm3.so \
		$(DISTDIR)/lib/libnssckbi.so

	install -m 644 -t debian/libnss3-dev/usr/include/nss \
		$(DISTDIR)/public/nss/*
	install -m 644 -t debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH) \
		$(DISTDIR)/lib/libnssb.a \
		$(DISTDIR)/lib/libnssckfw.a \
		$(DISTDIR)/lib/libcrmf.a
	install -m 644 -t debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig debian/nss.pc
	install -m 755 -t debian/libnss3-dev/usr/bin debian/nss-config

	install -m 755 -t debian/libnss3-tools/usr/bin \
		$(foreach bin,certutil cmsutil crlutil modutil pk12util shlibsign signtool signver ssltap pwdecrypt, \
		$(DISTDIR)/bin/$(bin))

override_dh_strip:
	dh_strip -a --dbg-package=libnss3-dbg
	$(foreach lib,libsoftokn3.so libfreebl3.so libnssdbm3.so, \
		LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
		debian/libnss3-tools/usr/bin/shlibsign -v -i debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss/$(lib);)
	# Check FIPS mode correctly works
	mkdir debian/tmp
	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -create -dbdir debian/tmp < /dev/null
	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -fips true -dbdir debian/tmp < /dev/null

override_dh_makeshlibs: /usr/share/debhelper/autoscripts/postinst-makeshlibs /usr/share/debhelper/autoscripts/postrm-makeshlibs
	dh_makeshlibs -a -- -c4
	cat /usr/share/debhelper/autoscripts/postinst-makeshlibs > debian/libnss3.postinst.debhelper
	cat /usr/share/debhelper/autoscripts/postrm-makeshlibs > debian/libnss3.postrm.debhelper

ifneq (,$(DEB_HOST_MULTIARCH))
override_dh_gencontrol:
	dh_gencontrol -- -Vmisc:Multi-Arch=same
endif

override_dh_builddeb:
	dh_builddeb -- -Zxz

%:
	dh $@

## nss 3.14.3

=== mozilla/security/dbm/src/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################

include $(CORE_DEPTH)/dbm/config/config.mk

#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include config.mk

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

=== debian/changelog ===
nss (2:3.14.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release with merged changes from Debian unstable for
    2:3.14.2-1. Remaining changes:
    - control: Change Vcs-* to XS-Debian-Vcs-*.
    - rules: Include libnssb.a and libnssckfw.a in the -dev package.
  * debian/libnss3.symbols: add NSS_3.14.3 symbols

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 13 Mar 2013 13:37:33 -0500

nss (2:3.14.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump sqlite3 build dependency.
  * debian/rules: Avoid installing freebl, softokn, nssckbi and nssdbm in two
    places.
  * debian/libnss3-1d.lintian-overrides.in: Stop preprocessing, it has nothing
    to preprocess anymore.
  * debian/libnss3.lintian-overrides.in: Fix not to contain a reference to the
    libnss3-1d package.

 -- Mike Hommey <glandium@debian.org>  Fri, 15 Feb 2013 10:06:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
 XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
 Uploaders: Mike Hommey <glandium@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1.1~), libnspr4-dev (>= 2:4.9), zlib1g-dev, libsqlite3-dev (>= 3.3.9)
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1.1~), libnspr4-dev (>= 2:4.9), zlib1g-dev, libsqlite3-dev (>= 3.7.15)
 Standards-Version: 3.9.3.0
 Homepage: http://www.mozilla.org/projects/security/pki/nss/
 XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-mozilla/nss.git

=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,10 @@
 override_dh_auto_install: $(PREPROCESS_FILES:.in=)
 	install -m 755 -d debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH) \
-		$(DISTDIR)/lib/*.so
+		$(DISTDIR)/lib/libnss3.so \
+		$(DISTDIR)/lib/libnssutil3.so \
+		$(DISTDIR)/lib/libsmime3.so \
+		$(DISTDIR)/lib/libssl3.so
 	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
 		$(DISTDIR)/lib/libfreebl3.so \
 		$(DISTDIR)/lib/libsoftokn3.so \

## nss 3.14.5

=== debian/changelog ===
nss (2:3.14.5-1~bpo60+1) squeeze-backports; urgency=medium

  * Rebuild for squeeze-backports.

 -- intrigeri <intrigeri@debian.org>  Mon, 23 Dec 2013 13:48:11 +0100

nss (2:3.14.5-1) stable-security; urgency=low

  * New upstream release.
    - Fixes CVE-2013-5605.

 -- Mike Hommey <glandium@debian.org>  Sat, 16 Nov 2013 08:23:54 +0900

nss (2:3.14.4-1) stable-security; urgency=low

  * New upstream release.
    - Fixes CVE-2013-1739. Closes: #726473.

 -- Mike Hommey <glandium@debian.org>  Thu, 31 Oct 2013 13:51:57 +0900

nss (2:3.14.3-1) unstable; urgency=high

  * New upstream release.
    - Fixes TLS timing attack (luck 13). Closes: #699888.
  * debian/libnss3.symbols: Add NSS_3.14.3 symbol version.
  * debian/control: Unbump sqlite3 build dependency, 3.14.3 lifted the need
    for sqlite 3.7.15.

 -- Mike Hommey <glandium@debian.org>  Sun, 17 Mar 2013 15:01:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: nss
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
+Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
 Uploaders: Mike Hommey <glandium@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1.1~), libnspr4-dev (>= 2:4.9), zlib1g-dev, libsqlite3-dev (>= 3.7.15)
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1.1~), libnspr4-dev (>= 2:4.9), zlib1g-dev, libsqlite3-dev (>= 3.3.9)
 Standards-Version: 3.9.3.0
 Homepage: http://www.mozilla.org/projects/security/pki/nss/
-XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-mozilla/nss.git
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/nss.git
+Vcs-Git: git://git.debian.org/git/pkg-mozilla/nss.git
+Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/nss.git
 
 Package: libnss3
 Architecture: any

## nss 3.15.1

=== debian/changelog ===
nss (2:3.15.1-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. FFe: (LP: #1219279)
    Remaining changes:
    - control: Change Vcs-* to XS-Debian-Vcs-*.
    - rules: Include libnssb.a and libnssckfw.a in the -dev package.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 19 Sep 2013 16:07:11 -0400

nss (2:3.15.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/*:  Refresh patches.
  * debian/patches/lower-dhe-priority.patch: Removed, as it was only necessary
    for Iceweasel 3.5, which is long gone.

 -- Mike Hommey <glandium@debian.org>  Mon, 05 Aug 2013 14:41:14 +0900

nss (2:3.15-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/*: Refresh patches and removed unused ones.
  * debian/rules: Adjusted to the new source layout.
  * debian/libnss3.symbols: Add NSS*_3.15 symbol versions.
  * debian/control: Bump nspr build dependency.

 -- Mike Hommey <glandium@debian.org>  Sat, 15 Jun 2013 19:23:12 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: nss
 Section: libs
 Priority: optional
-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
 Uploaders: Mike Hommey <glandium@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1.1~), libnspr4-dev (>= 2:4.9), zlib1g-dev, libsqlite3-dev (>= 3.3.9)
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1.1~), libnspr4-dev (>= 2:4.9.4), zlib1g-dev, libsqlite3-dev (>= 3.3.9)
 Standards-Version: 3.9.3.0
 Homepage: http://www.mozilla.org/projects/security/pki/nss/
-Vcs-Git: git://git.debian.org/git/pkg-mozilla/nss.git
-Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/nss.git
+XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-mozilla/nss.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/nss.git
 
 Package: libnss3
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -28,16 +28,15 @@
 
 CFLAGS += -Wall -pipe
 
-DISTDIR := $(CURDIR)/mozilla/dist
+DISTDIR := $(CURDIR)/dist
 
 override_dh_auto_build:
-	$(MAKE) -C mozilla/security/nss \
-		build_coreconf \
-		build_dbm \
+	$(MAKE) -C nss \
 		all \
 		MOZILLA_CLIENT=1 \
 		NSPR_INCLUDE_DIR=/usr/include/nspr \
 		NSPR_LIB_DIR=/usr/lib \
+		SOURCE_PREFIX=$(DISTDIR) \
 		SOURCE_MD_DIR=$(DISTDIR) \
 		DIST=$(DISTDIR) \
 		BUILD_OPT=1 \
@@ -51,10 +50,9 @@
 		$(USE_64)
 
 override_dh_auto_clean:
-	-$(MAKE) -C mozilla/security/nss \
+	-$(MAKE) -C nss \
 		clobber \
-		clobber_dbm \
-		clobber_coreconf \
+		SOURCE_PREFIX=$(DISTDIR) \
 		SOURCE_MD_DIR=$(DISTDIR) \
 		DIST=$(DISTDIR) \
 		BUILD_OPT=1 \

## nss 3.15.3.1

=== debian/changelog ===
nss (2:3.15.3.1-0ubuntu0.13.04.1) raring-security; urgency=low

  * SECURITY UPDATE: New upstream release (LP: #1263135)
    - Distrusts AC DG Tresor SSL CA

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Dec 2013 10:39:43 -0500

nss (2:3.15.3-0ubuntu0.13.04.1) raring-security; urgency=low

  * SECURITY UPDATE: New upstream release to fix multiple security issues
    and add TLSv1.2 support.
    - CVE-2013-1739
    - CVE-2013-1741
    - CVE-2013-5605
    - CVE-2013-5606
  * Adjusted packaging for 3.15.3:
    - debian/patches/*: refreshed.
    - debian/patches/lower-dhe-priority.patch: removed, no longer needed,
      was a workaround for an old version of firefox.
    - debian/libnss3.symbols: added new symbols.
    - debian/rules: updated for new source layout.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 14 Nov 2013 14:22:44 -0500
